package main

import (
	"fmt"

	"github.com/google/uuid"
	"gitstore.ru/tolikproh/mchstest/internal/cnst"
	"gitstore.ru/tolikproh/mchstest/internal/model"
	"gitstore.ru/tolikproh/mchstest/pkg/util"
)

func main() {
	fmt.Println("Загрузка вопросов для тестирования с сайта:", cnst.Url)
	uidMchs, err := uuid.Parse(util.InputTerminal("Необходимо ввести UUID сессии для начала загрузки"))
	if err != nil {
		fmt.Println("ОШИБКА: формат UUID не верный. Зазрузка отменена.")
	} else {
		var rN model.ReqNull
		var rA model.ReqAnswer
		body, _ := util.ReqestToSiteJSON(rN, cnst.Url, uidMchs)
		fmt.Println("[")
		for i := 0; i < 520; i++ {
			d := model.UnmarshalJSONToMTType(body)
			fmt.Print(model.MTTypeToJSON(d), ",\n")
			rA.Answer = d.ValidAnswer
			body, _ = util.ReqestToSiteJSON(rA, cnst.Url, uidMchs)
		}
		d := model.UnmarshalJSONToMTType(body)
		fmt.Println(model.MTTypeToJSON(d))
		fmt.Println("]")
	}

}
